From 3dd2ea563d5695706a6c97785e618b6e32a40d66 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Thu, 2 Jul 2009 07:41:35 +0200
Subject: [PATCH] Use "make install" instead of %makeinstall

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 libgnomeprint22.spec |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

diff --git a/libgnomeprint22.spec b/libgnomeprint22.spec
index 3fecbd0..3a70025 100644
--- a/libgnomeprint22.spec
+++ b/libgnomeprint22.spec
@@ -13,7 +13,7 @@
 Summary: Printing library for GNOME
 Name:		libgnomeprint22
 Version: 	2.18.6
-Release:	1%{?dist}
+Release:	1%{?dist}.fa1
 License:	LGPLv2+ and BSD
 # BSD applies to ttsubset code that was taken from STSF
 Group:          System Environment/Base
@@ -92,7 +92,11 @@ make %{?_smp_mflags}
 
 %install
 rm -rf $RPM_BUILD_ROOT
+%ifnarch %{arm}
 %makeinstall
+%else
+make DESTDIR=%{buildroot} install
+%endif
 %find_lang %{gettext_package}
 
 %clean
@@ -121,6 +125,9 @@ rm -rf $RPM_BUILD_ROOT
 %{_datadir}/gtk-doc/html/libgnomeprint
 
 %changelog
+* Thu Jul 02 2009 Jitesh Shah <jiteshs@marvell.com> - 2.18.6-1.fa1
+- "make install" instead of "%makeinstall" (http://fedoraproject.org/wiki/Packaging/Guidelines#MakeInstall)
+
 * Tue Mar 17 2009 Matthias Clasen <mclasen@redhat.com> - 2.18.6-1
 - Update to 2.18.6
 
-- 
1.5.5.6

